Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
ruby_cmdline_options Struct Reference

## Data Fields
const char * | script
VALUE | script_name
VALUE | e_script
struct {
struct {
VALUE name
int index
} enc
} | src
struct {
struct {
VALUE name
int index
} enc
} | ext
struct {
struct {
VALUE name
int index
} enc
} | intern
VALUE | req_list
ruby_features_t | features
ruby_features_t | warn
unsigned int | dump
int | sflag
int | xflag
unsigned int | warning: 1
unsigned int | verbose: 1
unsigned int | do_loop: 1
unsigned int | do_print: 1
unsigned int | do_line: 1
unsigned int | do_split: 1
unsigned int | do_search: 1
unsigned int | setids: 2

## Detailed Description

Definition at line 152 of file ruby.c.

## Field Documentation

## ◆ do_line

unsigned int ruby_cmdline_options::do_line

Definition at line 174 of file ruby.c.

## ◆ do_loop

unsigned int ruby_cmdline_options::do_loop

Definition at line 172 of file ruby.c.

## ◆ do_print

unsigned int ruby_cmdline_options::do_print

Definition at line 173 of file ruby.c.

## ◆ do_search

unsigned int ruby_cmdline_options::do_search

Definition at line 176 of file ruby.c.

## ◆ do_split

unsigned int ruby_cmdline_options::do_split

Definition at line 175 of file ruby.c.

## ◆ dump

unsigned int ruby_cmdline_options::dump

Definition at line 165 of file ruby.c.

## ◆ e_script

VALUE ruby_cmdline_options::e_script

Definition at line 155 of file ruby.c.

## ◆ enc

struct { ... } ruby_cmdline_options::enc

## ◆ ext

struct { ... } ruby_cmdline_options::ext

## ◆ features

ruby_features_t ruby_cmdline_options::features

Definition at line 163 of file ruby.c.

## ◆ index

int ruby_cmdline_options::index

Definition at line 159 of file ruby.c.

## ◆ intern

struct { ... } ruby_cmdline_options::intern

## ◆ name

VALUE ruby_cmdline_options::name

Definition at line 158 of file ruby.c.

## ◆ req_list

VALUE ruby_cmdline_options::req_list

Definition at line 162 of file ruby.c.

## ◆ script

const char* ruby_cmdline_options::script

Definition at line 153 of file ruby.c.

## ◆ script_name

VALUE ruby_cmdline_options::script_name

Definition at line 154 of file ruby.c.

## ◆ setids

unsigned int ruby_cmdline_options::setids

Definition at line 177 of file ruby.c.

## ◆ sflag

int ruby_cmdline_options::sflag

Definition at line 169 of file ruby.c.

## ◆ src

struct { ... } ruby_cmdline_options::src

## ◆ verbose

unsigned int ruby_cmdline_options::verbose

Definition at line 171 of file ruby.c.

## ◆ warn

ruby_features_t ruby_cmdline_options::warn

Definition at line 164 of file ruby.c.

## ◆ warning

unsigned int ruby_cmdline_options::warning

Definition at line 170 of file ruby.c.

## ◆ xflag

int ruby_cmdline_options::xflag

Definition at line 169 of file ruby.c.

The documentation for this struct was generated from the following file:

- ruby.c